Skip to content

Get Earn Rewards

GET
/v1/staking/rewards

Get up to 100 of the most recent reward items based on the specified skip and limit values.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

currencySymbol

The currency symbol to filter by (e.g., BTC, ETH).

Type
string
Example"BTC"
earnType

The type of earn product to filter by.

Type
string
Valid values
"STAKE""LEND"
Example"STAKE"
skip

Number of items to skip before returning results.

Type
integer
Example0
Format
"int32"
limit

Maximum number of items to return (max 100).

Type
integer
Example100
Format
"int32"

Responses

Earn rewards retrieved successfully

application/json

Playground

Authorization
Variables
Key
Value

Samples